Proxy reuses existing leases ignoring DHCP range specified
Description

Reported by Nick Jones.

I think the confusion comes about because the expected behaviour - having

filled out the autosuggestion range range in the Foreman UI - is that it'll

only return a suggested address from within that range.  The function

within subnet.rb re-uses the existing lease if found for the autosuggestion

when it comes to provisioning, which may well be outside of this range when

you're using the auto discovery feature like we're doing.

Associated revisions

Revision 54ee3a8a - 04/10/2014 10:32 AM - Sean Handley 

fixes #5123 - IP only from the same subnet and range

Revision 85098a3c - 04/10/2014 10:42 AM - Matt Jarvis 

fixes #5123 - corrected string typos

History

#1 - 04/09/2014 11:10 AM - Lukas Zapletal

I think the behaviour we were expecting in pseudo code would be something

like :

if host has been provisioned before in foreman ( ie. it is a registered

host and has a static DHCP lease defined )

re-use existing dhcp record

elif host is a discovered host ( ie. it has a dynamic lease )

check autosuggestion range and suggest free IP

#2 - 04/09/2014 04:39 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.8.4

https://github.com/theforeman/smart-proxy/pull/148

#3 - 04/10/2014 11:52 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 54ee3a8a72d3f3f092d676d540cd60fd1abdb0bd.
https://github.com/theforeman/smart-proxy/pull/148
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/54ee3a8a72d3f3f092d676d540cd60fd1abdb0bd


#4 - 04/11/2014 01:56 PM - Dominic Cleal

- translation missing: en.field_release set to 4
